commit 833a744db9e48a6801758d4cd7a51929fc007197
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Nov 17 01:25:01 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index adbfb2332df..f32239fe8b1 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,13 @@
+2025-11-16  Lewis Hyatt  <lhyatt@gmail.com>
+
+	* diagnostic.cc (num_digits): Change argument type from `int' to
+	`uint64_t'.
+	(test_num_digits): Add test for 64-bit argument.
+	* diagnostic.h (num_digits): Adjust prototype.
+	* input.cc (write_digit): Accept argument in range 0-9 instead of
+	an arbitrary int.
+	(write_digit_row): Adjust to change in write_digit().
+
 2025-11-14  Jeff Law  <jlaw@ventanamicro.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 5b6643c3ba2..bca19945f97 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251116
+20251117
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 70a0a5cc0af..b5ae8db2c3f 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2025-11-16  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-16  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122625
+	* module.cc (trees_in::read_var_def): Also track class-scope
+	primary template specialisations.
+
 2025-11-04  Nathaniel Shead  <nathanieloshead@gmail.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index b6f884f6ceb..23f1dd42359 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,17 @@
+2025-11-16  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	Backported from master:
+	2025-11-16  Nathaniel Shead  <nathanieloshead@gmail.com>
+
+	PR c++/122625
+	* g++.dg/modules/inst-7_a.C: New test.
+	* g++.dg/modules/inst-7_b.C: New test.
+
+2025-11-16  Lewis Hyatt  <lhyatt@gmail.com>
+
+	* gcc.dg/plugin/location-overflow-test-3.c: New test.
+	* gcc.dg/plugin/plugin.exp: Add the new test.
+
 2025-11-14  Jeff Law  <jlaw@ventanamicro.com>
 
 	Backported from master:

